com.fasterxml.jackson.dataformat.avro

## Class AvroSchema

- java.lang.Object
- - com.fasterxml.jackson.dataformat.avro.AvroSchema

- All Implemented Interfaces:
    com.fasterxml.jackson.core.FormatSchema

      public class AvroSchema
      extends Object
      implements com.fasterxml.jackson.core.FormatSchema

  Wrapper for Schema information needed to encode and decode Avro-format data.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.avro.Schema` | `_avroSchema`
    `protected AtomicReference<AvroStructureReader>` | `_reader`
    `protected static org.apache.avro.io.DecoderFactory` | `DECODER_FACTORY`
    `protected static ThreadLocal<SoftReference<org.apache.avro.io.BinaryDecoder>>` | `decoderRecycler`
    `protected static org.apache.avro.io.EncoderFactory` | `ENCODER_FACTORY`
    `protected static ThreadLocal<SoftReference<org.apache.avro.io.BinaryEncoder>>` | `encoderRecycler`
    `static String` | `TYPE_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroSchema(org.apache.avro.Schema asch)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.avro.io.BinaryDecoder` | `decoder(byte[] buffer, int offset, int len)`
    `static org.apache.avro.io.BinaryDecoder` | `decoder(InputStream in, boolean buffering)`
    `static org.apache.avro.io.BinaryEncoder` | `encoder(OutputStream out, boolean buffering)`
    `org.apache.avro.Schema` | `getAvroSchema()`
    `AvroStructureReader` | `getReader()`
    `String` | `getSchemaType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_ID

          public static final String TYPE_ID

      See Also:
        Constant Field Values

    - #### DECODER_FACTORY

          protected static final org.apache.avro.io.DecoderFactory DECODER_FACTORY

    - #### ENCODER_FACTORY

          protected static final org.apache.avro.io.EncoderFactory ENCODER_FACTORY

    - #### decoderRecycler

          protected static final ThreadLocal<SoftReference<org.apache.avro.io.BinaryDecoder>> decoderRecycler

    - #### encoderRecycler

          protected static final ThreadLocal<SoftReference<org.apache.avro.io.BinaryEncoder>> encoderRecycler

    - #### _avroSchema

          protected final org.apache.avro.Schema _avroSchema

    - #### _reader

          protected final AtomicReference<AvroStructureReader> _reader

  - ### Constructor Detail

    - #### AvroSchema

          public AvroSchema(org.apache.avro.Schema asch)

  - ### Method Detail

    - #### getSchemaType

          public String getSchemaType()

      Specified by:
        `getSchemaType` in interface `com.fasterxml.jackson.core.FormatSchema`

    - #### getAvroSchema

          public org.apache.avro.Schema getAvroSchema()

    - #### decoder

          public static org.apache.avro.io.BinaryDecoder decoder(InputStream in,
                                                 boolean buffering)

    - #### decoder

          public static org.apache.avro.io.BinaryDecoder decoder(byte[] buffer,
                                                 int offset,
                                                 int len)

    - #### encoder

          public static org.apache.avro.io.BinaryEncoder encoder(OutputStream out,
                                                 boolean buffering)

    - #### getReader

          public AvroStructureReader getReader()

Copyright © 2016 FasterXML. All rights reserved.